This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 592671

Summary: ac97 does not appear in user interface
Product: [Fedora] Fedora Reporter: Arthur Pemberton <pembo13>
Component: virt-managerAssignee: Cole Robinson <crobinso>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: berrange, crobinso, hbrock, jforbes, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-18 11:59:52 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Arthur Pemberton 2010-05-16 01:29:04 EDT
Description of problem:
Cannot select 'ac97' as a sound device

Version-Release number of selected component (if applicable):
virt-manager-0.7.0-8.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Add a new device
2. sound device
  
Actual results:
no 'ac99' in drop down list

Expected results:
ac97 as selectable device

Additional info:
- lauchpad result from 2009
  https://bugs.launchpad.net/ubuntu/+source/virt-manager/+bug/368384
- libvirt documentation claiming support since 0.6.0
  http://libvirt.org/formatdomain.html

Due to this bug, I can't get a working sound device with Windows Server 2008, and I assume other versions of Windows as well.
Comment 1 Arthur Pemberton 2010-05-16 02:13:27 EDT
It seems to be worse than that, there is no '-soundhw' being passed to qemu at all, regardless of the driver.

----------------------------------------
/usr/bin/qemu-kvm -S -M pc -cpu qemu32 -m 1536 -smp 2 -name Clancy -uuid ffd1be69-ba3c-5697-5269-b9901a779d0c -monitor pty -pidfile /var/run/libvirt/qemu//Clancy.pid -localtime -boot c -drive file=/var/lib/libvirt/images/Clancy.img,if=ide,index=0,boot=on -drive file=,if=ide,media=cdrom,index=2 -net nic,macaddr=54:52:00:41:5d:74,vlan=0 -net tap,fd=19,vlan=0 -serial pty -parallel none -usb -usbdevice tablet -vnc 127.0.0.1:1
----------------------------------------

Where exactly are the arguments for kvm-qemu being compiled? I was unable to find the code in the python files.
Comment 2 Arthur Pemberton 2010-05-16 02:22:36 EDT
Looking at libvirt-0.8.1/src/qemu/qemu_conf.c I see that -soundhw is only used for 'pcspk' however, as you can see from the qemu invocation provided above, there is no sound device being passed to qemu at all.
Comment 3 Arthur Pemberton 2010-05-18 11:59:52 EDT

*** This bug has been marked as a duplicate of bug 508317 ***